#!/usr/bin/env python
# -*- coding: utf-8 -*-

from distutils.core import setup
import py2exe
import os
import glob

script_file = 'noisy_drawtest.py'

# add res/*.*
res_files = []
for fn in os.listdir('res'):
    fn = os.path.join('res', fn)
    if os.path.isfile(fn):
        res_files.append(fn)

py2exe_options = {"compressed"   : 1,
                  "optimize"     : 2,
                  "bundle_files" : 1,
                  }
setup(
      console=[{"script" : script_file}],
      options={"py2exe": py2exe_options},
      zipfile=None,
      data_files=[('res', res_files),
                  ('.', glob.glob('*.dll')),
                  ('.', glob.glob('*.pyd')),
                  ],
)
